#!/usr/bin/env perl

use strict;
use warnings;
use Mixi;

my ($email, $session_id) = @ARGV;
my $mixi = Mixi->new(session_id => $session_id);

my $diary_level = 4; # 4=public
my $diary_host  = 8; # 8=hatena diary
my $diary_url   = 'http://d.hatena.ne.jp/teamikl/';
my $rss_url     = 'http://d.hatena.ne.jp/teamikl/rss/?foo';
my $newsletter  = 'n';

if ($mixi->edit_account('main', $email, $email, undef, undef,  
                        $diary_host, $diary_level, $diary_url, "$rss_url?",
                        $newsletter)) {
    print "Success\n";
}
else {
    print "Failure\n";
}

__END__
