#!/usr/bin/env perl

use strict;
use warnings;
use Mixi;

my ($email, $password) = @ARGV;
my $bf_session = Mixi->new->login($email, $password);

if ($bf_session) {
    printf "Your session id is: %s\n", $bf_session;
}
else {
    print "login failed\n";
}


__END__

use LWP::UserAgent;
use HTTP::Request;
use Data::Dumper;

my ($email, $password) = @ARGV;
my $next_url = 'http://mixi.jp/home.pl';
my $login_url = 'http://mixi.jp/login.pl';

my $userAgent = LWP::UserAgent->new;
my $http_request = HTTP::Request->new('POST' => $login_url, undef, 
        qq(next_url=$next_url&email=$email&password=$password));

my $http_response = $userAgent->request($http_request);

if ($http_response->is_success) {
    print Dumper($http_response);
}
else {
    print Dumper($http_response);
}


